import request from '@/utils/request'


/* 添加商品列表 */
export function productGroup(store) {
    return request({
      url: '/admin/erp/product/productGroup',
      method: 'post',
      headers: { 'Content-Type': 'application/json' },
      data: store
    })
  }
  
  /**
   * 编辑商品分类
   * @param store
   */
  export function editProduct(id, store) {
    return request({
      url: `/admin/erp/product/update/${id}`,
      method: 'post',
      headers: { 'Content-Type': 'application/json' },
      data: store
    })
  }
  
  /**
   * 删除商品分类
   * @param id
   */
  export function removeProduct(id) {
    return request({
      url: `/admin/erp/product/remove/${id}`,
      method: 'post'
    })
  }
  
  /**
   * 获取商品分类列表
   * @param params
   */
  export function getProductList(params) {
    return request({
      url: '/admin/erp/product/list',
      method: 'get',
      loading: false,
      params
    })
  }

  /* 获取商品列表 */
  export function getProduct(params) {
    return request({
      url: '/admin/erp/product',
      method: 'get',
      loading: false,
      params
    })
  }

  /* 查询商品分类详细信息 /admin/erp/product/getById/{id} */

  export function getById(id) {
    return request({
      url: `/admin/erp/product/getById/${id}`,
      method: 'get',
      loading: false,
    })
  }
  /*  /admin/erp/product/getProductByGroup/{warehouseId}/{groupId} */
  export function getProductByGroup(warehouseId,groupId) {
    return request({
      url: `/admin/erp/product/getProductByGroup/${warehouseId}/${groupId}`,
      method: 'get',
      loading: false,
    })
  }

  /* SKU排序/admin/erp/product/updateSort */

export function updateSort(parmas) {
  return request({
    url: `/admin/erp/product/updateSort`,
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data:parmas
  })
}